<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030
 */

namespace admin_application\link;

class ArticleLink {

	public static function Article_Main_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_index_key['act'] = 'ArticleMain/listArticle';
		$action_index_key['tid'] = $array['tid'];
		$action_index_key['mid'] = $array['mid'];
		$action_index_key['sid'] = $array['sid'];
		$link_array['index'] = linkOut($action_index_key);
		$action_key_select['act'] = 'ArticleMain/listArticle';
		$action_key_select['out_type'] = 'select';
		$link_array['select'] = linkOut($action_key_select);
		$action_key_list['act'] = 'ArticleMain/listArticle';
		$action_key_list['out_type'] = 'list';
		$action_key_list['tid'] = $array['tid'];
		$action_key_list['mid'] = $array['mid'];
		$action_key_list['sid'] = $array['sid'];
		$action_key_list['list_type'] = $array['list_type'];
		$action_key_list['select_num'] = $array['select_num'];
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'ArticleMain/addArticle';
		$action_key['tid'] = $array['tid'];
		$action_key['mid'] = $array['mid'];
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'ArticleMain/editArticle';
		$action_key_edit['mid'] = $array['mid'];
		$action_key_edit['tid'] = $array['tid'];
		$action_key_edit['did'] = $array['did'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key_edit['act'] = 'ArticleMain/editArticle';
		$action_key_edit['mid'] = $array['mid'];
		$action_key_edit['tid'] = $array['tid'];
		$action_key_edit['did'] = $array['did'];
		$action_key_edit['type'] = 'copy';
		$link_array['copy'] = linkOut($action_key_edit);
		$action_key['act'] = 'ArticleMain/saveArticle';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'ArticleMain/celeritySaveArticle';
		$link_array['celeritysave'] = linkOut($action_key);
		$action_key['act'] = 'ArticleMain/delArticle';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'ArticleMain/setArticle';
		$link_array['set'] = linkOut($action_key);
		$action_key['act'] = 'ArticleMain/creatArticle';
		$link_array['creat'] = linkOut($action_key);
		$action_key['act'] = 'ArticleMain/readArticle';
		$link_array['read'] = linkOut($action_key);
		$action_key['act'] = 'ArticleMain/ajaxArticle';
		$link_array['ajax'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function ArticleModel_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'ArticleModel/listArticleModel';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'ArticleModel/listArticleModel';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'ArticleModel/addArticleModel';
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'ArticleModel/editArticleModel';
		$action_key_edit['mid'] = $array['mid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'ArticleModel/saveArticleModel';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'ArticleModel/delArticleModel';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'ArticleModel/setArticleModel';
		$link_array['set'] = linkOut($action_key);
		$action_key['act'] = 'ArticleModel/readArticleModel';
		$link_array['read'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function ArticleModelFields_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'ArticleModelFields/listArticleModelFields';
		$action_key['mid'] = $array['mid'];
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'ArticleModelFields/listArticleModelFields';
		$action_key_list['out_type'] = 'list';
		$action_key_list['mid'] = $array['mid'];
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'ArticleModelFields/addArticleModelFields';
		$action_key['mid'] = $array['mid'];
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'ArticleModelFields/editArticleModelFields';
		$action_key_edit['aid'] = $array['aid'];
		$action_key_edit['mid'] = $array['mid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'ArticleModelFields/saveArticleModelFields';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'ArticleModelFields/delArticleModelFields';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'ArticleModelFields/setArticleModelFields';
		$link_array['set'] = linkOut($action_key);
		$action_key['act'] = 'ArticleModelFields/sortArticleModelFields';
		$link_array['sort'] = linkOut($action_key);
		$action_key['act'] = 'ArticleModelFields/verifyArticleModelFields';
		$link_array['verify'] = linkOut($action_key);
		$action_key['act'] = 'ArticleModelFields/getArticleModelFieldsDefaultAttr';
		$link_array['default_attr'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function RecommendTags_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'RecommendTags/listRecommendTags';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'RecommendTags/listRecommendTags';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'RecommendTags/addRecommendTags';
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'RecommendTags/editRecommendTags';
		$action_key_edit['dlid'] = $array['dlid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'RecommendTags/saveRecommendTags';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'RecommendTags/delRecommendTags';
		$link_array['del'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function SpecialCatalog_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'SpecialCatalog/listSpecialCatalog';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'SpecialCatalog/listSpecialCatalog';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'SpecialCatalog/addSpecialCatalog';
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'SpecialCatalog/editSpecialCatalog';
		$action_key_edit['sid'] = $array['sid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'SpecialCatalog/saveSpecialCatalog';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'SpecialCatalog/delSpecialCatalog';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'SpecialCatalog/setSpecialCatalog';
		$link_array['set'] = linkOut($action_key);
		$action_key['act'] = 'SpecialCatalog/sortSpecialCatalog';
		$link_array['sort'] = linkOut($action_key);
		$action_key['act'] = 'SpecialCatalog/verifySpecialCatalog';
		$link_array['verify'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function ArticleType_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'ArticleType/listArticleType';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'ArticleType/listArticleType';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key_add['act'] = 'ArticleType/addArticleType';
		$action_key_add['tid'] = $array['tid'];
		$link_array['add'] = linkOut($action_key_add);
		$action_key_add['act'] = 'ArticleType/addArticleType';
		$action_key_add['type'] = 'base';
		$link_array['addbase'] = linkOut($action_key_add);
		$action_key_add['act'] = 'ArticleType/addArticleType';
		$action_key_add['type'] = 'link';
		$link_array['addlink'] = linkOut($action_key_add);
		$action_key_edit['act'] = 'ArticleType/editArticleType';
		$action_key_edit['tid'] = $array['tid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key_edit['act'] = 'ArticleType/shiftArticleType';
		$link_array['shift'] = linkOut($action_key_edit);
		$action_key_edit['act'] = 'ArticleType/synArticleType';
		$link_array['syn'] = linkOut($action_key_edit);
		$action_key['act'] = 'ArticleType/saveArticleType';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'ArticleType/batdelArticleType';
		$link_array['batdel'] = linkOut($action_key);
		$action_key['act'] = 'ArticleType/delArticleType';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'ArticleType/batsetArticleType';
		$link_array['batset'] = linkOut($action_key);
		$action_key['act'] = 'ArticleType/setArticleType';
		$link_array['set'] = linkOut($action_key);
		$action_key['act'] = 'ArticleType/sortArticleType';
		$link_array['sort'] = linkOut($action_key);
		$action_key['act'] = 'ArticleType/verifyArticleType';
		$link_array['verify'] = linkOut($action_key);
		$action_key['act'] = 'ArticleType/ajaxArticleType';
		$link_array['ajaxlist'] = linkOut($action_key);
		$action_key['act'] = 'ArticleType/resortArticleType';
		$link_array['resort'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function KeywordsOptimization_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'KeywordsOptimization/listKeywordsOptimization';
		$link_array['index'] = linkOut($action_key);
		$action_key_select['act'] = 'KeywordsOptimization/listKeywordsOptimization';
		$action_key_select['out_type'] = 'select';
		$link_array['select'] = linkOut($action_key_select);
		$action_key_list['act'] = 'KeywordsOptimization/listKeywordsOptimization';
		$action_key_list['out_type'] = 'list';
		$action_key_list['list_type'] = $array['list_type'];
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'KeywordsOptimization/KeywordsOptimizationSearchOut';
		$link_array['search_key'] = linkOut($action_key);
		$action_key['act'] = 'KeywordsOptimization/addKeywordsOptimization';
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'KeywordsOptimization/editKeywordsOptimization';
		$action_key_edit['kid'] = $array['kid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'KeywordsOptimization/saveKeywordsOptimization';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'KeywordsOptimization/delKeywordsOptimization';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'KeywordsOptimization/setKeywordsOptimization';
		$link_array['set'] = linkOut($action_key);
		$action_key['act'] = 'KeywordsOptimization/sortKeywordsOptimization';
		$link_array['sort'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function KeywordsGroups_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'KeywordsGroups/listKeywordsGroups';
		$link_array['index'] = linkOut($action_key);
		$action_key_select['act'] = 'KeywordsGroups/listKeywordsGroups';
		$action_key_select['out_type'] = 'select';
		$link_array['select'] = linkOut($action_key_select);
		$action_key_list['act'] = 'KeywordsGroups/listKeywordsGroups';
		$action_key_list['out_type'] = 'list';
		$action_key_list['list_type'] = $array['list_type'];
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'KeywordsGroups/KeywordsGroupsSearchOut';
		$link_array['search_key'] = linkOut($action_key);
		$action_key['act'] = 'KeywordsGroups/addKeywordsGroups';
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'KeywordsGroups/editKeywordsGroups';
		$action_key_edit['ktid'] = $array['ktid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'KeywordsGroups/saveKeywordsGroups';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'KeywordsGroups/delKeywordsGroups';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'KeywordsGroups/setKeywordsGroups';
		$link_array['set'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
